Skip to content

Get instance configuration

GET
/api/v1/configuration
curl --request GET \
--url http://127.0.0.1:8080/api/v1/configuration \
--header 'Authorization: Bearer <token>'

OK

Media typeapplication/json
object
capabilities
required
object
authentication
required

False until an authentication system is configured

boolean
mutable_instance_settings
required

Whether this build exposes a mutable instance-settings API

boolean
key
additional properties
any
default_locale
required
string
<= 100 characters
default_measurement
required
string
Allowed values: original metric us au
display_name
required
string
<= 100 characters
import_policy
required
object
allow_external_fetch
required
boolean
allow_file_uploads
required
boolean
key
additional properties
any
print_defaults
required
object
image
required
string
Allowed values: automatic include omit
page_size
required
string
Allowed values: automatic letter a4
key
additional properties
any
public_url
string format: uri
key
additional properties
any
Example
{
"default_measurement": "original",
"print_defaults": {
"image": "automatic",
"page_size": "automatic"
}
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}